<?php 
// Exit if accessed directly
if(!defined('IN_GS')){ die('you cannot load this page directly.'); }

/***************************************************************************************************************
*	@File:			homepage.php
*	@Package:		GetSimple
*	@Action:		Pluralism Theme | Adapted from: Pluralism by Free CSS Templates <http://www.freecsstemplates.org/>
*					Released under the Creative Commons Attribution 2.5 license	
****************************************************************************************************************/

?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<!--[if lt IE 7 ]> <html lang="en" class="ie6"> <![endif]-->
<!--[if IE 7 ]>    <html lang="en" class="ie7"> <![endif]-->
<!--[if IE 8 ]>    <html lang="en" class="ie8"> <![endif]-->
<!--[if IE 9 ]>    <html lang="en" class="ie9"> <![endif]-->
<!--[if (gt IE 9)|!(IE)]><!--> <html lang="en" > <!--<![endif]-->
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<title><?php get_page_clean_title(); ?> - <?php get_site_name(); ?></title>
	<link href="<?php get_theme_url(); ?>/style.css" rel="stylesheet" type="text/css" media="screen" />
	<!--[if lt IE 9]>
		<script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
	<![endif]--> 

	<!--[if lt IE 7 ]>
		<script src="<?php get_theme_url(); ?>/js/dd_belatedpng.js"></script>
		<script> DD_belatedPNG.fix('img, .png_bg'); //fix any <img> or .png_bg background-images </script>
	 <![endif]-->

	<?php get_header(); ?>

</head>
<body id="<?php get_page_slug(); ?>">
<div id="wrapper">
	<div id="wrapper2">
		<div id="header">
			<div id="logo">
				<h1><a href="<?php get_site_url(); ?>"><?php get_site_name(); ?></a></h1>
			</div>
			<div id="menu">
				<ul><?php get_navigation(get_page_slug(FALSE)); ?></ul>
			</div>
		</div>
		<!-- end #header -->
		<div id="page">
			<div id="content">
				<div class="post">
					<?php if(!isset($_POST['words']) && !isset($_POST['keywords'])) { ?>
					<h2 class="title"><?php get_page_title(); ?></h2>
					<div class="entry">
						<?php get_page_content(); ?>
					</div>
					<p class="meta"> <span class="posted">Published on <time datetime="<?php get_page_date('Y-m-d'); ?>" pubdate><?php get_page_date('F jS, Y'); ?></time></span></p>

					<?php }	else { ?>
						<h2 class="title">Search Results</h2>
						
						<?php if(function_exists('get_i18n_search_results')) { ?>
							<?php get_i18n_search_results(array($_POST['words']=>'')); ?>
						<?php }	elseif(function_exists('get_search_results'))  { ?>
							<?php get_search_results(); ?>
						<?php } else {?>
							<p>We are sorry! Your request cannot be processed at the moment.</p>
					<?php }} ?>
				</div>
			</div>
			<!-- end #content -->
			<div id="sidebar">
				<ul>
					<li id="search">
						<h3>Search</h3>
						<?php if(!function_exists('get_i18n_search_results') || !function_exists('get_search_results')) { ?>
							
						<?php if(function_exists('get_search_results') && component_exists('search-form')) { ?>
							<?php get_component('search-form'); ?>
						<?php } else { ?>
						<form id="search_form" method="post" action="index.php?id=<?php get_page_slug(); ?>">
							<div>
								<input type="text" name="words" id="s" class="text" title="Search our website" size="15" value="Search..." onfocus="if(this.value == 'Search...') {this.value = '';}" onblur="if (this.value == '') {this.value = 'Search...';}" />
								<br />
								<input name="submit" type="submit" class="submit" value="Go" />
							</div>
						</form>
						<?php }} else { ?>
							<?php echo '<script type="text/javascript">alert("Plugins Conflict!! Only one search plugin should be active");</script>'; } ?>
					</li>
					<li>
						<h3></h3>
						<?php get_component('sidebar'); ?>
					</li>
				</ul>
			</div>
			<!-- end #sidebar -->
			<div style="clear: both;">&nbsp;</div>
			<div id="widebar">
				<div id="colA">
					<?php if (file_exists(GSDATAPAGESPATH. 'bottom-left.xml')) { getPageContent('bottom-left'); }?>
				</div>
				<div id="colB">
					<?php if (file_exists(GSDATAPAGESPATH. 'bottom-center.xml')) { getPageContent('bottom-center'); }?>
				</div>
				<div id="colC">
					<?php if (file_exists(GSDATAPAGESPATH. 'bottom-right.xml')) { getPageContent('bottom-right'); }?>
				</div>
				<div style="clear: both;">&nbsp;</div>
			</div>
			<!-- end #widebar -->
		</div>
		<!-- end #page -->
	</div>
	<!-- end #wrapper2 -->
	<div id="footer">
		<p>© <?php echo date('Y'); ?> <a href="<?php get_site_url(); ?>"><?php get_site_name(); ?></a> · <a href="http://get-simple.info/extend/a/luigi" target="_blank">Pluralism</a> by <a href="http://www.nodethirtythree.com/">NodeThirtyThree</a> + <a href="http://www.freecsstemplates.org/" rel="nofollow">FreeCSSTemplates.org</a> · Powered by <a href="http://get-simple.info/" target="_blank" >GetSimple</a></p>

		<?php get_footer(); ?>
	</div>
</div>
<!-- end #wrapper -->
</body>
</html>
